iwl4965: Microcode SW error detected. Restarting 0x2000000

Bug #200509 reported by Matt Zimmerman on 2008-03-10
396
This bug affects 61 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
Debian
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
linux-backports-modules-2.6.24 (Ubuntu)
Medium
Unassigned
linux-backports-modules-2.6.32 (Ubuntu)
Undecided
Unassigned

Bug Description

Occasionally, my wireless interface stops working, with the following message in the log:

Mar 10 09:30:45 perseus kernel: [37783.753286] iwl4965: Microcode SW error detected. Restarting 0x2000000.

When this happens, the interface stops passing traffic, and I'm unable to associate with any networks. Unloading and reloading the module is the only thing which gets it working again. This is on a ThinkPad T61 with a hardware kill switch and the following wireless device:

03:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection [8086:4230] (rev 61)
 Subsystem: Intel Corporation Lenovo ThinkPad T51 [8086:1110]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 217
 Region 0: Memory at df3fe000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>

Michael R. Head (burner) wrote :

In my case, network manager didn't know the connection down, but when I told it to reconnect to my SSID, it was able to, without having to go through to cycle the driver with modprobe.

Michael R. Head (burner) wrote :

Also, for me, it (only) seems to happen when I'm accessing another machine on my local network via VNC through an ssh tunnel, so maybe there's something related to that pattern of traffic.

Changed in linux:
status: Unknown → Fix Released
Matt Zimmerman (mdz) wrote :

Note, the patch in the linked (fixed) upstream bug is from 2006; it's hard to believe it isn't already in our tree. This would seem to hint that this is a different bug.

Michael R. Head (burner) wrote :

Ah... I looked at the last few comments, and I was under the impression that it was fixed in 1.2.1 (hardy has 1.2.0), but now that I take a second look, I see that it was meant to have been fixed in 1.1.2.

I guess it's a pretty general error message.

Elie De Brauwer (elie) wrote :

I've only seen this error myself one of twice (on a period of a month) and I haven't been able to reproduce it either.

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Brian Murray (brian-murray) wrote :

This watch seems more likely to be the same bug as it has the same restarting information. The upstream bug reporter indicates they were authenticating via radius. Is that the case for anyone in this bug report?

Elie De Brauwer (elie) wrote :

Not for me, I was connected to my wrt54g using a mere WEP (i know, i know, but ndiswrapper driver in another laptop doesn't support wpa). I was actually connected for quite some time and i ended up with this error out of the blue. But i must admit i have only seen it twice and that is currently already a month ago

Michael R. Head (burner) wrote :

My router is a (hardy) Ubuntu box which has an atheros-based card in Master mode running hostapd. I've configured hostapd with a WPA-PSK (not WPA-RADIUS or EAP), and I'm using TKIP and CCMP ciphers.

Changed in linux:
status: Unknown → In Progress

Hi Everyone,

An updated version of the iwlwifi drivers (version 1.2.25) was recently added to the linux-backports-modules-2.6.24 package:

https://bugs.edge.launchpad.net/ubuntu/+bug/200950/comments/30 .

It would be good if you could retest once lbm with the update is published and available. Thanks.

Barteq (barteqpl) wrote :

Good news. I've just got this error right now, want to confirm and voila - it's already patched. So waiting for package to be published.

Changed in linux:
status: New → Invalid
Tim Gardner (timg-tpi) wrote :

Added iwlwifi 1.2.25 to LBM. Also updated i4965 firmware to 4.44.1.20.

Changed in linux-backports-modules-2.6.24:
assignee: ubuntu-kernel-team → timg-tpi
milestone: none → ubuntu-8.04
status: Triaged → Fix Committed
Michael R. Head (burner) wrote :

Why would iwlwifi go to LBM and not LUM? I thought LBM was for backports which would only appear post-release?

Tim Gardner (timg-tpi) wrote :

Intel only warrants iwlwifi 1.2.0 for Centrino brand certification (which is important to Dell etc). Also, its pretty late in the release cycle for a major iwlwifi upgrade. Placing the upgrade in LBM allows folks to choose their poison.

Tim Gardner (timg-tpi) wrote :

linux-backports-modules-2.6.24 (2.6.24-14.11) hardy; urgency=low

  [Ben Collins]

  * iwlwifi: Update to iwlwifi-1.2.25 and mac80211-10.0.4
    - LP: #200950
  * ubuntu: Slight cleanups to module hiearchy and Makefiles
  * mac80211: Enable LED triggers
  * iwlwifi: Add LED trigger support (rx and tx only)
    - LP: #176090

 -- <email address hidden> Wed, 02 Apr 2008 06:59:04 -0600

Changed in linux-backports-modules-2.6.24:
status: Fix Committed → Fix Released
Mozg (andrei-arhont) wrote :

Hi

I have recently updated to amd64 Hardy 8.04 from 7.10 and started noticing that my dmesg is full of warnings and errors related to iwl4965 module. I've installed the latest updates and linux-backports-modules-hardy-generic package.

The errors happen every time i use the Fn+F5 switch on my Thinkpad T61p laptop. As i remember, Fn+F5 didn't work at all on Gutsy, however, in Hardy it seems to partially work. By partially I mean the following: when I turn on the laptop, both wi-fi and bluetooth is enabled and leds are on. Pressing Fn+F5 once will switch off the wireless, pressing it again would switch off Bluetooth and once more would try to activate the wireless again. The dmesg errors start happening when I try to switch on wireless. The summary of dmesg errors:

[ 31.475785] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.25
[ 31.475789] iwl4965: Copyright(c) 2003-2007 Intel Corporation
[ 31.477352] iwl4965: Detected Intel Wireless WiFi Link 4965AGN
[ 31.528648] wmaster0: Selected rate control algorithm 'iwl-4965-rs'
[ 37.369152] iwl4965: Tunable channels: 11 802.11bg, 13 802.11a channels
[ 37.376120] Registered led device: iwl-phy0:RX
[ 37.376131] Registered led device: iwl-phy0:TX
[ 1598.037420] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[ 1598.047549] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
.......
[ 1599.821372] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[ 1641.426849] iwl4965: Microcode HW error detected. Restarting.
[ 1641.428294] iwl4965: Microcode HW error detected. Restarting.
[ 1643.431854] iwl4965: Wait for START_ALIVE timeout after 2000ms.
........
[ 2942.287960] iwl4965: Wait for START_ALIVE timeout after 2000ms.
[ 2969.449494] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[ 2988.153310] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[ 2988.153046] iwl4965: Radio disabled by SW RF kill (module parameter)
[ 3004.712016] iwl4965: Wait for START_ALIVE timeout after 2000ms.
[ 3007.743665] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[ 3008.487368] iwl4965: Wait for START_ALIVE timeout after 2000ms.
[ 3010.269267] iwl4965: Radio disabled by SW RF kill (module parameter)
[ 3017.045831] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.

If you need any further information / testing, I would be happy to assist.

Andrei

Elie De Brauwer (elie) wrote :
Download full text (5.9 KiB)

Hello,

So that's what t he Fn+F5 key is for, i can completely reproduce the symptoms you describe on an Lenovo R61, this is my output after repetitively striking Fn+F5 (I wasn't making use of wireless here, the interface was in a down state.

<quote>
[13918.600671] usb 2-1: new full speed USB device using uhci_hcd and address 3
[13918.617394] usb 2-1: configuration #1 chosen from 1 choice
[13918.766382] Bluetooth: HCI USB driver ver 2.9
[13918.768072] usbcore: registered new interface driver hci_usb
[13927.792153] iwl4965: Error sending REPLY_STATISTICS_CMD: time out after 500ms.
[13929.812857] iwl4965: No space for Tx
[13929.812864] iwl4965: Error sending REPLY_CARD_STATE_CMD: iwl_enqueue_hcmd failed: -28
[13929.813172] iwl4965: Radio disabled by SW RF kill (module parameter)
[13929.912990] usb 2-1: USB disconnect, address 3
[13930.432653] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[13930.432509] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.442477] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.452929] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.472550] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.482509] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.492464] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13930.506891] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13932.659542] usb 2-1: new full speed USB device using uhci_hcd and address 4
[13932.821105] usb 2-1: configuration #1 chosen from 1 choice
[13933.066764] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[13933.067199] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13933.077158] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13933.087562] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13933.106886] usb 2-1: USB disconnect, address 4
[13933.119568] iwl4965: Microcode SW error detected. Restarting 0x82000000.
[13933.617809] iwl4965: Error sending REPLY_BT_CONFIG: time out after 500ms.
[13934.116933] iwl4965: Error sending REPLY_RXON: time out after 500ms.
[13934.116945] iwl4965: Error setting new configuration (-110).
[13934.616044] iwl4965: Error sending REPLY_CT_KILL_CONFIG_CMD: time out after 500ms.
[13934.616056] iwl4965: REPLY_CT_KILL_CONFIG_CMD failed
[13936.612715] iwl4965: No space for Tx
[13936.612733] iwl4965: Error sending REPLY_CARD_STATE_CMD: iwl_enqueue_hcmd failed: -28
[13936.615587] iwl4965: Radio disabled by SW RF kill (module parameter)
[13937.223403] iwl4965: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.
[13937.223855] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13937.233826] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13937.244271] iwl4965: WARNING: Requesting MAC access during RFKILL wakes up NIC
[13937.273337] iwl4965: Microcode SW error detected. Restarting 0x82000000.
[13937.771587] iwl4965: Error sending REPLY_BT_CONFIG: time out after 500ms.
[13938.270696] iwl4965: Error sending REPLY_RXON: time out after 500ms...

Read more...

Michael R. Head (burner) wrote :

linux-backports-module-hardy has an updated version of the iwl4965 driver (1.2.25) that appears to resolve this for me.

Mozg (andrei-arhont) wrote :

I have installed the latest upgrades, including linux-backports-module-hardy with version 1.2.25. As I can see from dmesg when the iwl4965 modules is loaded:

[ 31.475785] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.25

Elie De Brauwer: Do you use 1.2.25 as well?

Elie De Brauwer (elie) wrote :

No I used what came with hardy

[ 24.790451] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.0

but i'll give the backports version a try.

balmy_fool (balmy-fool) wrote :

I can confirm that this bug still exists with the latest backports version. I'm seeing it a few times each day. One of my errors was an HW error, I'm not sure what this means.

Here are some excerpts from my logs. All of these showed up with nothing else in the logs for about 20 minutes beforehand, so I don't have any useful context.

Apr 22 19:14:23 shabbar kernel: [ 178.828915] iwl4965: Microcode SW error detected. Restarting 0x82000000.

Apr 23 10:18:56 shabbar kernel: [ 1021.111942] iwl4965: Microcode SW error detected. Restarting 0x82000000.

Apr 23 10:42:08 shabbar kernel: [ 1687.524693] iwl4965: Microcode HW error detected. Restarting.

The version, from the logs:
iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.25
I have the latest firmware.

I can second that. The problem definitely still exists with the latest backports version.
Machine is a Dell XPS M1330 notebook.

I did not yet spot a "Microcode HW error" like balmy_fool, but I do get two different SW errors:

Apr 27 11:17:06 haktar kernel: [ 4853.221932] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.25
Apr 27 11:32:45 haktar kernel: [ 5707.675911] iwl4965: Microcode SW error detected. Restarting 0x2000000.
Apr 27 12:57:49 haktar kernel: [10037.778710] iwl4965: Microcode SW error detected. Restarting 0x2000000.
Apr 27 13:15:18 haktar kernel: [10917.046060] iwl4965: Microcode SW error detected. Restarting 0x82000000.
Apr 27 13:33:57 haktar kernel: [11902.090614] iwl4965: Microcode SW error detected. Restarting 0x2000000.
[

balmy_fool (balmy-fool) wrote :

I've been trying to capture debug information about the microcode errors, but I haven't had one in a while.

Can someone who is regularly having the errors add this to /etc/modprobe.d/options?

options iwl4965 debug=0x43fff

It should give more information in dmesg on the nature of the bug, so that it can be fixed upstream.

Bård Kalbakk (kalbakk) wrote :

Experiencing the same thing here on high load, even with the latest linux-backports-module-hardy package(2.6.24.16.18)
"iwl4965: Microcode SW error detected. Restarting 0x2000000"

(Connected to a D-Link di-624+ with a 54Mbit connection)

I did load the iwl4965 module with debug=0x43fff , but I this doesn't give me more debug info
/sys/module/iwl4965/parameters/debug = 0x43fff so I really don't know why I don't get more kernel msgs.(?)

Any clue?

The bug is 100% reproducible on my IBM Thinkpad T61P, so I'm more than willing to do some more work if necessary.

balmy_fool (balmy-fool) wrote :

I found the same problem with debug=0x43fff not working, and have reported it as Bug #226593.

Bård Kalbakk (kalbakk) wrote :

This bug was fixed in 2.6.25 early february.
Please see git-commit d68ab68066805fdfee1f5f29ec2ec0179fd92fe1
http://git.kernel.org/?p=linux/kernel/git/linville/wireless-2.6.git;a=commitdiff;h=d68ab68066805fdfee1f5f29ec2ec0179fd92fe1;hp=c342a1b91f6ccd317c68defd3b4c7bb75397d967

I applied this simple fix to linux-backports-modules-2.6.24-16-386, and iwl4965.ko has not failed yet.

Please consider applying this patch to Hardy, if you're not going for kernel 2.6.25.

Sean Dague (sdague) wrote :

This bug is marked as fixed in backports, but I'm running the hardy backport kernel, and have managed to get knocked off twice already with the same error.

Matt Zimmerman (mdz) on 2008-05-28
Changed in linux-backports-modules-2.6.24:
status: Fix Released → Triaged
Changed in linux:
importance: Undecided → Medium
status: Invalid → Triaged
Michael R. Head (burner) wrote :

I've been running the hardy backport version for some time, and it seemed to have been working OK, but after a recent (past week or so) update, I'm seeing this again very frequently.

Michael R. Head (burner) wrote :

Well, I tried the patch (with a apt-get source linux-ubuntu-modules-2.6.24-19-generic, application, dpkg-buildpackage -us -uc, dpkg -i), and it was no help to me on my T61p. Actually, it seems to make matters worse: instead of the connection dying every few minutes, it dies after a second or two.

This is still an issue with my Lenovo R61i on Hardy with backports.
My network link goes down after a few minuttes of heavy network activity.

pwa@lapdance:~/Desktop$ uname -a
Linux lapdance 2.6.24-19-generic #1 SMP Fri Jul 11 23:41:49 UTC 2008 i686 GNU/Linux
pwa@lapdance:~/Desktop$ dmesg | grep -i restarting
[28903.897996] iwl4965: Microcode SW error detected. Restarting 0x2000000.
[41104.806868] iwl4965: Microcode SW error detected. Restarting 0x2000000.
[73845.275505] iwl4965: Microcode SW error detected. Restarting 0x2000000.
pwa@lapdance:~/Desktop$ grep backports /etc/apt/sources.list |grep -v ^#
deb http://archive.ubuntu.com/ubuntu hardy-backports main universe multiverse restricted

ticking on/off the NIC in network-admin fixes the issue temporarily though.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Mark Mandel (mark-mandel) wrote :

Just to add an extra note here - sometimes this drops off my internet connection, but quite regularly this also results in a kernel panic on Hardy. This can occur more than once per day.

The strange thing is, it will generally only panic when I'm at home - I can only assume that it's because I'm in an apartment building, with multiple other wireless networks around, and other interference.

I'm not running backports yet, but will probably plan on moving to Ibex when Alpha6 comes out, to try the new kernel, and see if that solves the issue.

Also happy to do any further debugging if required.

Anand Vaidya (anand-vaidya) wrote :

I have the same problem IWL4965 1.2.0 driver Kubuntu 8.04

I notice that, when the laptop is booted, the interface works fine.

When I suspend / resume a few times, typically after 3 days, the wlan0 interface will stop. Only a reboot recovers. The error message is:

iwl4965: Microcode SW error detected. Restarting 0x2000000.

Mark Mandel (mark-mandel) wrote :

I just wanted to confirm that this has been fixed for my in Ibex.

I did a clean install of Ibex, and haven't seen it since.

@Mark Mandel, thanks for testing and the udpate.

Can anyone else confirm this is resolved with running the Intrepid 2.6.27 kernel? Thanks.

Changed in linux:
status: Triaged → Incomplete
balmy_fool (balmy-fool) wrote :

I can confirm that the problem still exists in Ibex. I get regular Microcode errors. To recover I have to unload and reload the module.

Also, on occasion, when I unload and reload the module, my computer mostly freezes. I can't start programs and shutting down doesn't work. This may just be general module unloading flakiness.

I've posted a recent dmesg with microcode errors. I'm currently trying backport-modules, which seems no better than the standard module.

See also bug 282355, where I posted dmesg for some past Microcode errors.

balmy_fool (balmy-fool) wrote :

In fact, that last post was followed quickly by a microcode error. I got the dmesg. This time, I accidentally left clicked on the network manager icon and my computer solidly froze, responding to nothing.

How do you enable debugging output for iwlagn? Does it even work with the ubuntu compile? I remember it being disabled in earlier kernels.

Jeffrey Baker (jwbaker) wrote :

I confirm that this is NOT fixed in Intrepid, at least not on iwl3945.

balmy_fool (balmy-fool) wrote :

I've put the following into /etc/modprobe.d/iwlagn

options iwlagn debug=0x43fff

Hopefully I can give more useful information the next time it crashes.

Adam Porter (alphapapa) wrote :

May I propose increasing this to high priority? Causing lockups is serious, and many laptops have these chipsets.

Changed in linux:
status: Incomplete → Confirmed

On Thu, Oct 23, 2008 at 04:03:53AM -0000, Adam Porter wrote:
> May I propose increasing this to high priority? Causing lockups is
> serious, and many laptops have these chipsets.

I've never seen a lockup associated with these messages.

--
 - mdz

balmy_fool (balmy-fool) wrote :

I've had these messages in the past, and I also have never seen a lock-up because of them -- until Intrepid.

The version in LBM is much worse than the main kernel. It caused frequent microcode errors and frequent lockups when I tried to recover. I still see both with the main kernel, but not nearly so frequently.

balmy_fool (balmy-fool) wrote :

'options iwlagn debug=0x43fff' doesn't work.

The kernel configuration for the iwl* modules is unacceptable. These modules cause problems on a large number of computers, but debugging is disabled. I would be willing to accept a module that is 100k larger for the ability to debug these issues. It's impossible to send any useful information upstream to help fix this bug with the current kernel config.

From /usr/src/linux-headers-2.6.27-7-generic/.config

CONFIG_IWL3945=m
# CONFIG_IWL3945_DEBUG is not set
CONFIG_IWL3945_LEDS=y
CONFIG_IWL3945_RFKILL=y
CONFIG_IWL3945_SPECTRUM_MEASUREMENT=y
CONFIG_IWL4965=y
CONFIG_IWL5000=y
CONFIG_IWLAGN=m
CONFIG_IWLAGN_LEDS=y
CONFIG_IWLAGN_SPECTRUM_MEASUREMENT=y
CONFIG_IWLCORE=m
CONFIG_IWLWIFI=m
# CONFIG_IWLWIFI_DEBUG is not set
CONFIG_IWLWIFI_LEDS=y
CONFIG_IWLWIFI_RFKILL=y

balmy_fool (balmy-fool) wrote :

The freezing issue appears to be because something called "events/1" is using 100% of the CPU, interspersed with "iwlagn/1" taking some of the CPU.

Adam Porter (alphapapa) wrote :

Will this be fixed in Hardy as well? I'm not ready for KDE 4 yet (or perhaps it's not ready for me yet).

balmy_fool (balmy-fool) wrote :

I'm still getting firmware errors, and my computer is still freezing every few times I reload the module and try using it.

I've requested it in bug 226593, and I'll say it here. Can someone please enable debugging of the iwl* modules? This bug will go nowhere if debugging remains disabled. All it takes is two config options, CONFIG_IWL3945_DEBUG and CONFIG_IWLWIFI_DEBUG.

Jeffrey Baker (jwbaker) wrote :

Still a problem in Jaunty Alpha ...

Chris Cowan (agentme49) wrote :

This effects me in Intrepid with backports updates enabled. I'll be in an online game, and suddenly I start lagging completely; its as if my wireless stopped uploading - I can't move or talk, but I can still see the game playing on without me for a bit of time. I'm not able to reconnect, or browse the internet for some time when this happens, unless I click the NetworkManager icon, and click my wireless network to reconnect to it (it still thinks I'm connected to it though).

Dustin Kirkland  (kirkland) wrote :

I'm getting this in Jaunty Alpha.

:-Dustin

Jarkko Lietolahti (jarkko-jab) wrote :

Ditto,
 But with iwlagn.

jarkko@gandalf:~$ dmesg | grep iwlagn
[ 25.955768] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27ks
[ 25.955769] iwlagn: Copyright(c) 2003-2008 Intel Corporation
[ 25.955848] iwlagn 0000:06:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 25.955873] iwlagn 0000:06:00.0: setting latency timer to 64
[ 25.955951] iwlagn: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
[ 25.977844] iwlagn: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 25.977900] iwlagn 0000:06:00.0: irq 2296 for MSI/MSI-X
[ 88.118948] iwlagn 0000:06:00.0: firmware: requesting iwlwifi-5000-1.ucode
[ 219.654865] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[ 219.654890] iwlagn: Error setting new RXON (-5)
[ 224.574814] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[ 224.574857] iwlagn: Error setting new RXON (-5)
[ 229.571843] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[ 229.571869] iwlagn: Error setting new RXON (-5)
[ 234.575236] iwlagn: Microcode SW error detected. Restarting 0x2000000.
[ 234.575244] iwlagn: Error setting new RXON (-5)
[ 239.586310] iwlagn: Microcode SW error detected. Restarting 0x2000000.
[ 239.586331] iwlagn: Error setting new RXON (-5)
[ 244.606207] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[ 244.606217] iwlagn: Error setting new RXON (-5)
[ 249.668500] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[ 249.668612] iwlagn: Error setting new RXON (-5)
[ 758.978714] iwlagn: Read index for DMA queue txq_id (2) index 20 is out of range [0-256] 95 30
[ 759.305601] iwlagn: Microcode SW error detected. Restarting 0x2000000.
[ 759.321093] iwlagn: Can't stop Rx DMA.
[ 759.848512] iwlagn: Error sending REPLY_ADD_STA: time out after 500ms.
[ 759.848590] iwlagn: Error: Response NULL in 'REPLY_ADD_STA'
jarkko@gandalf:~$ uname -a
Linux gandalf 2.6.28-11-generic #35-Ubuntu SMP Wed Mar 18 21:55:34 UTC 2009 x86_64 GNU/Linux
jarkko@gandalf:~$

TJ (tj) wrote :

I've created a DKMS package containing the iwlwifi drivers (iwl3945.ko, iwlcore.ko, iwlagn.ko) with debugging enabled. The package "iwlwifi-debug-dkms" is available from my PPA for Jaunty.

After installation see the man-page ("man iwlwifi") for instructions on enabling and using debugging. The log-file can be monitored using:

tail -f /var/log/kern.log

netconsole could also be used (via a wired link) to ensure the logs are captured even if the system is liable to lock-up.

I am also seeing these messages on Jaunty:

[24635.789402] iwlagn: Read index for DMA queue txq_id (2) index 37 is out of range [0-256] 43 42
[24635.789419] iwlagn: Read index for DMA queue txq_id (2) index 34 is out of range [0-256] 43 42
[24635.789428] iwlagn: Read index for DMA queue txq_id (2) index 35 is out of range [0-256] 43 42
[24636.308228] iwlagn: Microcode SW error detected. Restarting 0x2000000.
[24636.324868] iwlagn: Can't stop Rx DMA.
[24636.888527] iwlagn: Error sending REPLY_ADD_STA: time out after 500ms.

after this, the connection stops working, but I can re-activate it by reselecting the access point with network manager.

Jarkko Lietolahti (jarkko-jab) wrote :

Still happens.
jarkko@gandalf:~$ uname -a
Linux gandalf 2.6.28-11-generic #38-Ubuntu SMP Fri Mar 27 10:01:17 UTC 2009 x86_64 GNU/Linux
jarkko@gandalf:~$

sudo modprobe -r iwlagn
sudo modprobe iwlagn
fixes the situtation.

Jarkko Lietolahti (jarkko-jab) wrote :

I installed the debug enabled version of the driver.

TJ (tj) wrote :

Jarkko, the log you attached was not generated by the debug version of the driver. When the debug version is in use its version string has a 'd' added. For example:

Intel(R) Wireless WiFi Link AGN driver for Linux 1.3.27kds

To enable the debug output you'll need to read the man-page I created for the DKMS package:

man iwlwifi

That explains three methods of setting the module's debug parameter:

1. At boot-time
2. At module load
3. Whilst the module is loaded

Jarkko Lietolahti (jarkko-jab) wrote :
Download full text (3.4 KiB)

TJ, yes I know. I installed the debug version of the driver later.
However, I just had the same issue when I's trying out kernel 2.6.29 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29/ . Unforunately it didn't have the debug version installed.

[ 1368.344399] iwlagn: Read index for DMA queue txq_id (2) index 134 is out of range [0-256] 148 145
[ 1368.344407] iwlagn: Read index for DMA queue txq id (4), index 237, is out of range [0-256] 244 242.
[ 1372.836035] wlan2: No ProbeResp from current AP 00:21:91:ea:90:1f - assume out of range
[ 1373.436105] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1373.936061] iwlagn: Error sending REPLY_RXON: time out after 500ms.
[ 1373.936070] iwlagn: Error setting new RXON (-110)
[ 1373.936079] wlan2: direct probe to AP 00:21:91:ea:90:1f try 1
[ 1374.136060] wlan2: direct probe to AP 00:21:91:ea:90:1f try 2
[ 1374.336066] wlan2: direct probe to AP 00:21:91:ea:90:1f try 3
[ 1374.536080] wlan2: direct probe to AP 00:21:91:ea:90:1f timed out
[ 1383.940081] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1388.432093] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1388.932086] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1389.440061] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1394.940055] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1400.441265] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1405.940115] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1411.440089] iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.
[ 1415.482414] iwlagn 0000:06:00.0: PCI INT A disabled
[ 1420.604118] cfg80211: Calling CRDA to update world regulatory domain
[ 1420.686594] cfg80211: World regulatory domain updated:
[ 1420.686602] (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 1420.686608] (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 1420.686613] (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 1420.686618] (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 1420.686623] (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 1420.686628] (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 1420.705404] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27ks
[ 1420.705410] iwlagn: Copyright(c) 2003-2008 Intel Corporation
[ 1420.705595] iwlagn 0000:06:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 1420.705644] iwlagn 0000:06:00.0: setting latency timer to 64
[ 1420.706066] iwlagn: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
[ 1420.728764] iwlagn: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 1420.729206] wmaster0 (iwlagn): not using net_device_ops yet
[ 1420.731472] phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 1420.731569] wlan0 (iwlagn): not using net_device_ops yet
[ 1420.790039] udev: renamed network interface wlan0 to wlan2
[ 1424.729422] iwlagn 0000:06:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 1424.729620] iwlagn 0000:06:00.0: irq 31 for MSI/MSI-X
[ 1424.729695] iwlagn 0000:06:00.0: firmware: requesting iwlwifi-5000-1.ucode
[ 1424.751159] iwlagn loaded f...

Read more...

Greg Smith (gsmith-gregsmith) wrote :

I doubt I have exactly the same issue here as other posters. My problem is that my Intel 5100AGN wireless works fine against most 802.11B/G networks, but crashes oddly with a microcode error when I try to connect to my primary N network. I even get the right IP address with DHCP, but I can't actually ping anything. It looks like the Microcode restart leaves me in that odd state.

However, I have at least managed to get a useful debug log running against my Jaunty system. Took a bit of experimentation though; here's what I did:

1) Install the iwlwifi-debug-dkms .deb from TJ's PPA area at https://launchpad.net/~intuitivenipple/+archive/ppa , which you need in order to have a version of the kernel modules that are configured with debug support enabled.

2) Tried the instructions shown by "man iwlwifi". These did not work for me; I got:

  iwlcore: Unknown parameter `debug'

3) Tried this alternative instead, as suggested from the Intel Wireless mailing lists:

  modprobe iwlagn debug50=0x43fff

This worked, got lots of additional detail.

Based on that experience, I think the iwlwifi docs need two changes:

-Change "debug" to "debug50" for all the options examples
-The directory for the debug_level control is missing the card location subdirectory. I found the file in /sys/bus/pci/drivers/iwlagn/0000:03:00.0/debug_level on my system. (the 0000:03:00.0 part is missing from the description in the man page).

After those I think that PPA package will be ready for more people to use.

Here's what the main additional detail when the error pops up looks like for me:

iwlagn: Microcode SW error detected. Restarting 0x2000000.
iwlagn: Start IWL Error Log Dump:
iwlagn: Status: 0x000212E4, count: 5
iwlagn: Desc Time data1 data2 line
iwlagn: SYSASSERT (#5) 1472749560 0x40808015 0x00008904 1353
iwlagn: blink1 blink2 ilink1 ilink2
iwlagn: 0x03768 0x03768 0x0090E 0x00000
iwlagn: Start IWL Event Log Dump: display count 512, wraps 8

That's followed by a big dump of data. Attached file has everything.

Greg Smith (gsmith-gregsmith) wrote :

Looks like "debug" does work for some modules, it's only the 5100 or later that need "debug50" instead. See http://intellinuxwireless.org/?n=fw_error_report for details. That also has some suggestions on how to submit these results upstream.

Brett (breusshe) wrote :

Tried to install the iwlwifi-debug. Got the following error:

$ sudo dpkg -i ./iwlwifi-debug-dkms_1.3.27-0ubuntu1~ppa1j_all.deb
Selecting previously deselected package iwlwifi-debug-dkms.
(Reading database ... 151466 files and directories currently installed.)
Unpacking iwlwifi-debug-dkms (from .../iwlwifi-debug-dkms_1.3.27-0ubuntu1~ppa1j_all.deb) ...
Setting up iwlwifi-debug-dkms (1.3.27-0ubuntu1~ppa1j) ...
Loading new iwlwifi-debug-1.3.27 DKMS files...

Creating symlink /var/lib/dkms/iwlwifi-debug/1.3.27/source ->
                 /usr/src/iwlwifi-debug-1.3.27

DKMS: add Completed.
Installing prebuilt kernel module binaries (if any)
Building module...

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....(bad exit status: 2)
make KERNELRELEASE=2.6.27-11-generic -C /lib/modules/2.6.27-11-generic/build M=/var/lib/dkms/iwlwifi-debug/1.3.27/build....(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.27-11-generic (i686)
Consult the make.log in the build directory
/var/lib/dkms/iwlwifi-debug/1.3.27/build/ for more information.
0
0
dpkg: error processing iwlwifi-debug-dkms (--install):
 subprocess post-installation script returned error exit status 10
Processing triggers for man-db ...
Errors were encountered while processing:
 iwlwifi-debug-dkms

Attaching the make.log. Any ideas on what to do next?

Brett

unsubscribe

On Tue, Apr 7, 2009 at 4:54 PM, Brett <email address hidden> wrote:
> Tried to install the iwlwifi-debug.  Got the following error:
>
> $ sudo dpkg -i ./iwlwifi-debug-dkms_1.3.27-0ubuntu1~ppa1j_all.deb
> Selecting previously deselected package iwlwifi-debug-dkms.
> (Reading database ... 151466 files and directories currently installed.)
> Unpacking iwlwifi-debug-dkms (from .../iwlwifi-debug-dkms_1.3.27-0ubuntu1~ppa1j_all.deb) ...
> Setting up iwlwifi-debug-dkms (1.3.27-0ubuntu1~ppa1j) ...
> Loading new iwlwifi-debug-1.3.27 DKMS files...
>
> Creating symlink /var/lib/dkms/iwlwifi-debug/1.3.27/source ->
>                 /usr/src/iwlwifi-debug-1.3.27
>
> DKMS: add Completed.
> Installing prebuilt kernel module binaries (if any)
> Building module...
>
> Kernel preparation unnecessary for this kernel.  Skipping...
>
> Building module:
> cleaning build area....(bad exit status: 2)
> make KERNELRELEASE=2.6.27-11-generic -C /lib/modules/2.6.27-11-generic/build M=/var/lib/dkms/iwlwifi-debug/1.3.27/build....(bad exit status: 2)
>
> Error! Bad return status for module build on kernel: 2.6.27-11-generic (i686)
> Consult the make.log in the build directory
> /var/lib/dkms/iwlwifi-debug/1.3.27/build/ for more information.
> 0
> 0
> dpkg: error processing iwlwifi-debug-dkms (--install):
>  subprocess post-installation script returned error exit status 10
> Processing triggers for man-db ...
> Errors were encountered while processing:
>  iwlwifi-debug-dkms
>
>
> Attaching the make.log.  Any ideas on what to do next?
>
> Brett
>
> ** Attachment added: "make.log"
>   http://launchpadlibrarian.net/24946276/make.log
>
> --
> iwl4965: Microcode SW error detected.  Restarting 0x2000000
> https://bugs.launchpad.net/bugs/200509
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Greg Smith (gsmith-gregsmith) wrote :

Brett: I believe that package set is only aimed at the latest Jaunty kernel. I got it to work with that one, running 2.6.28-11. It looks like your problem could be that some of the data structures the code references just aren't there yet in 2.6.27-11.

unsubscribe

On Tue, Apr 7, 2009 at 7:18 PM, Greg Smith <email address hidden> wrote:
> Brett:  I believe that package set is only aimed at the latest Jaunty
> kernel.  I got it to work with that one, running 2.6.28-11.  It looks
> like your problem could be that some of the data structures the code
> references just aren't there yet in 2.6.27-11.
>
> --
> iwl4965: Microcode SW error detected.  Restarting 0x2000000
> https://bugs.launchpad.net/bugs/200509
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Rick Gabriel (klaxian1) wrote :

I am getting this same problem on my Lenovo T61 with kernel 2.6.28-11 with the latest Jaunty updates. After some time, my network connection goes down with the error: "iwlagn: Microcode SW error detected". NetworkManager doesn't seem to sense the disconnect, but reconnecting to the wireless network restores it.

Most frequently, this happens when my connection is taxed (ie. P2P applications). I did not have the problem on Intrepid.

tardifj (tardifj) wrote :

I had the same issue on Jaunty with every kernel I tried (2.6.28,2.6.29,2.6.30rc3). I found a suggestion given at:

http://www.fell.it/2009/02/18/microcode-swhw-error/

My wireless is running smoothly since then. I need to do more testing, but so far so good. To summarize, you need to do:

echo 5 > /sys/bus/pci/drivers/iwlagn/0000\:0c\:00.0/power_level

replacing 0000\:0c\:00.0 with your entry. Please see the above link for the details.

Rob Finch (nny) wrote :

I have the exact same experience klaxian does on comment #63 - it's when I'm pushing a lot of data or just have a lot of connections in general.

Dell m1330 w/updated Jaunty, card is intell 4965 - did not happen with intrepid. Error in dmesg;

[245265.239792] phy0: failed to restore operational channel after scan
[246071.867594] iwlagn: Microcode SW error detected. Restarting 0x2000000.
[246072.383389] iwlagn: Can't stop Rx DMA.
[246072.383647] iwlagn: MAC is in deep sleep!
[246072.604067] Registered led device: iwl-phy0:radio
[246072.604531] Registered led device: iwl-phy0:assoc
[246072.606141] Registered led device: iwl-phy0:RX
[246072.606185] Registered led device: iwl-phy0:TX
[246470.286190] mac80211-phy0: failed to remove key (0, 00:21:29:8a:f7:aa) from hardware (-22)

I'm trying the workaround tardifj suggested. So far so good pulling 1.7mbit over wireless for the last 20 min.

On Sun, May 3, 2009 at 12:52 AM, Rob Finch <email address hidden> wrote:
> I have the exact same experience klaxian does on comment #63 - it's when
> I'm pushing a lot of data or just have a lot of connections in general.
>
> Dell m1330 w/updated Jaunty, card is intell 4965 - did not happen with
> intrepid. Error in dmesg;
>
> [245265.239792] phy0: failed to restore operational channel after scan
> [246071.867594] iwlagn: Microcode SW error detected.  Restarting 0x2000000.
> [246072.383389] iwlagn: Can't stop Rx DMA.
> [246072.383647] iwlagn: MAC is in deep sleep!
> [246072.604067] Registered led device: iwl-phy0:radio
> [246072.604531] Registered led device: iwl-phy0:assoc
> [246072.606141] Registered led device: iwl-phy0:RX
> [246072.606185] Registered led device: iwl-phy0:TX
> [246470.286190] mac80211-phy0: failed to remove key (0, 00:21:29:8a:f7:aa) from hardware (-22)
>
> I'm trying the workaround tardifj suggested. So far so good pulling
> 1.7mbit over wireless for the last 20 min.
>
> --
> iwl4965: Microcode SW error detected.  Restarting 0x2000000
> https://bugs.launchpad.net/bugs/200509
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Jarkko Lietolahti (jarkko-jab) wrote :

The firmware restart error is getting hotter and hotter.
I had to disable 11n networking otherwise the wlan connection couldn't get up.

"sudo modprobe iwlagn 11n_disable50=1"

Maybe we could get the iwlagn driver compiled with debug mode on for the time being?

http://intellinuxwireless.org/?n=fw_error_report

The PPA mentioned in this thread doesn't compile with 2.6.30-2-generic;
DKMS make.log for iwlwifi-debug-1.3.27 for kernel 2.6.30-2-generic (x86_64)
ma 4.5.2009 23.14.55 +0300
make: Siirrytään hakemistoon "/usr/src/linux-headers-2.6.30-2-generic"
  LD /var/lib/dkms/iwlwifi-debug/1.3.27/build/built-in.o
  CC [M] /var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.o
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c: In function ‘iwl3945_build_tx_cmd_basic’:
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:2426: error: ‘IEEE80211_TX_CTL_USE_RTS_CTS’ undeclared (first use in this function)
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:2426: error: (Each undeclared identifier is reported only once
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:2426: error: for each function it appears in.)
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:2429: error: ‘IEEE80211_TX_CTL_USE_CTS_PROTECT’ undeclared (first use in this function)
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c: In function ‘iwl3945_bg_scan_completed’:
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6483: error: too few arguments to function ‘ieee80211_scan_completed’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c: In function ‘iwl3945_mac_config_interface’:
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6830: error: ‘struct ieee80211_if_conf’ has no member named ‘ssid_len’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6904: error: ‘struct ieee80211_if_conf’ has no member named ‘ssid_len’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6907: error: ‘struct ieee80211_if_conf’ has no member named ‘ssid’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6907: error: ‘struct ieee80211_if_conf’ has no member named ‘ssid_len’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:6909: error: ‘struct ieee80211_if_conf’ has no member named ‘ssid_len’
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c: At top level:
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:7876: warning: initialization from incompatible pointer type
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:7879: warning: initialization from incompatible pointer type
/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.c:7887: warning: initialization from incompatible pointer type
make[1]: *** [/var/lib/dkms/iwlwifi-debug/1.3.27/build/iwl3945-base.o] Virhe 1
make: *** [_module_/var/lib/dkms/iwlwifi-debug/1.3.27/build] Virhe 2
make: Poistutaan hakemistosta "/usr/src/linux-headers-2.6.30-2-generic"

Jarkko Lietolahti (jarkko-jab) wrote :

I meant to say: Please compile kernel with CONFIG_IWLWIFI_DEBUG so that we can debug this problem more.

Bill Smith (sememmon2) wrote :

I am also experiencing this problem on Jaunty. If there is any decent load on my network, the connection dies and I'm forced to reconnect manually. Same error as Rob Finch above .. and also worked fine in Intrepid.

Sami Lahtinen (samuelvasy) wrote :

I have same error with Compal JFL92 notebook (nvidia 8600M GT). All these freezes seems to end, when I install nvidia proprietary driver. Without that driver I got a lot "Microcode SW error detected. Restarting 0x2000000" errors with Jaunty and latest kernel 2.6.8-11.

There is no problems with IFL91 which has Intel GPU and same WLAN

pableu (ps-pableu) wrote :

I have permanently set the power_level to 3 with the follwing command:

sudo iwconfig wlan0 power on

This enables the power-management and sets /sys/bus/pci/drivers/iwlagn/*/power_level to 3. Other than just echoing a value into this file, it doesn't go back to zero by itself.

For a long time (since the upgrade to 9.04) that was the first time I transferred a 1GB file without a hitch. Also did an 8GB file, perfect all around. Thanks, pableu!

Details: 9.04 fresh install, Dell D830 with 4965, had this during most part of 8.04, vanished during most part of 8.10 and returned on 9.04, both on an upgraded system and on a fresh install from yesterday. I haven't tried suspend yet to see what happens, since I just inserted the commmand on /etc/rc.local, and waking up from suspend may change things. I might work around it with a frequent cron or delve into acpi scripts then.

Id2ndR (id2ndr) wrote :

Kernel 2.6.30 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/ fix the problem for me.

Rick Gabriel (klaxian1) wrote :

I am still getting this problem on Jaunty with kernel 2.6.28-13. It mainly happens when some large files are transferred at high speed through my local wireless network (using SSH). The problem is infrequent, but it is inconvenient when a transfer is halted because of this.

Can anyone confirm that kernel 2.6.30 indeed fixes this? If so, can a fix be back-ported to Jaunty and other affected releases? I'm sure I'm not the only one who would prefer to remain on the "official" supported packages for the kernel.

The response from intellinuxwireless.org seems to indicate that this was a problem only when using channel 13 on the AP, but I am getting it with channel 10. They do report that it is resolved upstream though. Any idea when this proposed fix will make it into the Ubuntu package?

Lastly, if the problem is indeed overheating as some have suggested above, should the power consumption throttling be enabled by default? This would especially help those without the knowledge to create a startup script.

Hi, I tested latest Karmic with 2.6.31-2 and it looks like the bug is
fixed (finally!!!).
Actually I didn't tested to hard so I am not 100% sure.

About the channel I was getting the problem with AP on channel 2 and
channel 8 so it was not channel related problem.

On Wed, Jul 8, 2009 at 23:28, klaxian<email address hidden> wrote:
> I am still getting this problem on Jaunty with kernel 2.6.28-13.  It
> mainly happens when some large files are transferred at high speed
> through my local wireless network (using SSH).  The problem is
> infrequent, but it is inconvenient when a transfer is halted because of
> this.
>
> Can anyone confirm that kernel 2.6.30 indeed fixes this?  If so, can a
> fix be back-ported to Jaunty and other affected releases?  I'm sure I'm
> not the only one who would prefer to remain on the "official" supported
> packages for the kernel.
>
> The response from intellinuxwireless.org seems to indicate that this was
> a problem only when using channel 13 on the AP, but I am getting it with
> channel 10.  They do report that it is resolved upstream though.  Any
> idea when this proposed fix will make it into the Ubuntu package?
>
> Lastly, if the problem is indeed overheating as some have suggested
> above, should the power consumption throttling be enabled by default?
> This would especially help those without the knowledge to create a
> startup script.
>
> --
> iwl4965: Microcode SW error detected.  Restarting 0x2000000
> https://bugs.launchpad.net/bugs/200509
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Sharad Jain (sjain-iit) wrote :

Also, happens on Jaunty 9.04 (Kernel: 2.6.28-13-generic)

I am trying to perform "git clone ssh://another-ubuntu-linux-9.04-machine-on-lan/var/git/project.git).

I believe, the process has to do with ssh connection that downloads lots of data from one machine to another. My personal laptop is Toshiba U305 on wireless and server machine (git-host) is Thinkpad T61 - ubuntu on wired network - both connected thru Linksys router.

Jarkko Lietolahti (jarkko-jab) wrote :

This issue has been resolved in karmic.

Philipp Ehses (philipp-ehses) wrote :

No, it isn't. I still get this error in karmic. It happens very frequently - sometimes right after the connection was established.

Here's the relevant dmesg output:

[ 2680.941802] wlan0: authenticate with AP 00:1a:2a:3a:31:53
[ 2680.944093] wlan0: authenticated
[ 2680.944098] wlan0: associate with AP 00:1a:2a:3a:31:53
[ 2680.958061] wlan0: RX AssocResp from 00:1a:2a:3a:31:53 (capab=0x431 status=0 aid=1)
[ 2680.958071] wlan0: associated
[ 2680.980174] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 2691.224048] wlan0: no IPv6 routers present
[ 2765.879206] iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000000.
[ 2766.118067] Registered led device: iwl-phy0::radio
[ 2766.118111] Registered led device: iwl-phy0::assoc
[ 2766.118152] Registered led device: iwl-phy0::RX
[ 2766.118189] Registered led device: iwl-phy0::TX

Matija Čižmek (mcizmek) wrote :

I have the same problem but with a little twist. If I keep using the computer everything is fine, but if I don't move a mouse or touch the keyboard this issue will pop up. On my configuration it has nothing to do with the network load. It looks more like some power management issue.

Richard Fuchs (dfx-dfx) wrote :

Add me to that list. I've had problems with the iwl4965 on my HP laptop ever since I got it. Since then I went through various kernel/driver/firmware combinations, but all with the same result: eventually I would get a microcode error and would lose all connectivity. Sometimes unloading and reloading the module would get me back online, sometimes I'd have to reboot, but sometimes not even that would help. Then I could power off, unplug the laptop and even take the battery out, the wireless would still not work and only give me microcode errors. This has happened before and is also the current state right now, with the driver from 2.6.30 and newest firmware. In the past it always miraculously fixed itself, the wireless would work again after an hour or so.

Unfortunately I can't give any new insight to this, as I have no idea what's going on.

Philipp Ehses (philipp-ehses) wrote :

I noticed that I don't have this problem under opensuse - neither with 11.1 (I believe they use 2.6.28) nor 11.2 milestone 4 (2.6.30).

Therefore this bug seems to be ubuntu-related and not a bug from upstream or the folks at opensuse.org fixed it themselves.

Jarkko Lietolahti (jarkko-jab) wrote :

With the following firmware version I'm not affected by the bug;

[ 16.579725] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27k
[ 16.579727] iwlagn: Copyright(c) 2003-2009 Intel Corporation
[ 16.579877] iwlagn 0000:06:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 16.579906] iwlagn 0000:06:00.0: setting latency timer to 64
[ 16.579957] iwlagn 0000:06:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
[ 16.616763] iwlagn 0000:06:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 16.616833] iwlagn 0000:06:00.0: irq 31 for MSI/MSI-X
[ 59.965227] iwlagn 0000:06:00.0: firmware: requesting iwlwifi-5000-2.ucode
[ 60.021998] iwlagn 0000:06:00.0: loaded firmware version 8.24.2.12
[ 215.931914] iwlagn 0000:06:00.0: iwl_tx_agg_start on ra = 00:21:91:ea:90:1f tid = 0
[ 2475.968286] iwlagn 0000:06:00.0: iwl_tx_agg_start on ra = 00:21:91:ea:90:1f tid = 6

The WLAN AP is set to channel 13 with 20/40Mhz auto channel width which was the problem configuration for me. Maybe I'd a different problem which has been fixed by the firmware 8.24.2.12.

Jarkko Lietolahti (jarkko-jab) wrote :

Aka a workaround is to set the WLAN AP to use channel other than 13 or/and set the channel width to 20Mhz.

If the problem happens just sometimes this could be because the AP being set to auto channel selection and selects channel 13 for current session.

nh2 (nh2) wrote :

Can anyone check if Bug 412704 is a duplicate of this?
I also get this "Microcode SW error detected" error in that bug, but on Karmic it causes my computer to hard kernel panic and freeze.
Does anyone of you suffer from these symptoms, too?

Nick Wilkens (nick-wilkens) wrote :

I am still experiencing this bug.

Dell XPS M1530, dmesg output from error:
[12244.516406] iwlagn: Microcode SW error detected. Restarting 0x82000000.
[12244.557091] iwlagn: Can't stop Rx DMA.
[12244.558064] iwlagn: MAC is in deep sleep!
[12244.558399] hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.
[12244.558418] iwlagn: No space for Tx
[12244.558423] iwlagn: Error sending SENSITIVITY_CMD: enqueue_hcmd failed: -28
[12244.558427] iwlagn: SENSITIVITY_CMD failed

# lspci ...
0b:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Linux nwilkens-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

Jordi (pelegrin-jordi) wrote :

Hi all,

I get a similar problem when I connect with wireless "n" network (it works fine with wireless "b" network), and I try to install the new intel firmware "iwlwifi-5000-2.ucode", but I don't know how.

I've done: "sudo cp iwlwifi-5000-ucode-8.24.2.12 (2)/iwlwifi-5000-2.ucode /lib/firmware", but, what is the next step?

This is console result:

jordi@jordi-ubuntu:~$ uname -r
2.6.28-15-generic

jordi@jordi-ubuntu:~$ dmesg | grep iwl
[ 11.269247] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27ks
[ 11.269250] iwlagn: Copyright(c) 2003-2009 Intel Corporation
[ 11.269335] iwlagn 0000:14:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 11.269343] iwlagn 0000:14:00.0: setting latency timer to 64
[ 11.269375] iwlagn 0000:14:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
[ 11.291255] iwlagn 0000:14:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 11.291325] iwlagn 0000:14:00.0: irq 2296 for MSI/MSI-X
[ 11.294866] phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 23.622760] iwlagn 0000:14:00.0: firmware: requesting lbm-iwlwifi-5000-1.ucode
[ 23.710974] iwlagn 0000:14:00.0: loaded firmware version 5.4.1.16
[ 23.866506] Registered led device: iwl-phy0::radio
[ 23.866524] Registered led device: iwl-phy0::assoc
[ 23.866538] Registered led device: iwl-phy0::RX
[ 23.866551] Registered led device: iwl-phy0::TX
[ 54.361843] iwlagn 0000:14:00.0: index 0 not used in uCode key table.
[ 293.541276] iwlagn 0000:14:00.0: iwl_tx_agg_start on ra = ffff88013e5ae740 tid = 0
[ 293.541332] iwlagn 0000:14:00.0: HW queue is empty
[14096.921265] iwlagn 0000:14:00.0: iwl_tx_agg_start on ra = ffff88012c079740 tid = 0
[14096.921325] iwlagn 0000:14:00.0: HW queue is empty

Thank you very much in advanced

qbanin (qbanin) wrote :

I think this issue is somehow related to interrupt sharing. I have Nvidia 8600M graphic card and my problem with Microcode errors and networking restart started, when i've added the line "options nvidia NVreg_EnableMSI=1" to /etc/modprobe.d/options.conf

After disabling this option I have no more "iwlagn 000:0c:00.0: Microcode SW error detected. Restarting 0x92000000" messages.

James Ward (jamesward) wrote :

I'm not seeing this anymore on the latest karmic.

Philipp Ehses (philipp-ehses) wrote :

I'm actually still experiencing this bug on the latest karmic live cd (even after an apt-get upgrade which only pulls in some ubiquity changes anyway).

 It seems that I'll stay with opensuse a bit longer than expected...

Philipp Ehses (philipp-ehses) wrote :

Hey Jordi, thanks for suggesting a very obvious and simple solution - just using a different u-code ;-)

I just copied iwlwifi-4965-1.ucode and iwlwifi-4965-2.ucode from my opensuse partition to the ubuntu partition and it seems to work just fine! I have attached all iwlwifi firmwares I found in opensuse in case anyone else wants to try this. Btw Jordi, copying the firmware into /usr/lib/firmware should be everything you need to do (apart from reloading the modules which you can do with rmmod/modprobe or - easier - a reboot).

Philipp Ehses (philipp-ehses) wrote :

for iwl4965

Philipp Ehses (philipp-ehses) wrote :

for iwl4965, part 2

Philipp Ehses (philipp-ehses) wrote :

for iwl4965, part 1 - the readme was a mistake ;-)

Philipp Ehses (philipp-ehses) wrote :

and especially for Jordi: iwl5000

Hope this works for you, too!

Philipp Ehses (philipp-ehses) wrote :

Sorry, the firmware files are of course stored in /lib/firmware.

And make sure to backup the old files before you try this!

Steve Langasek (vorlon) wrote :

Philipp,

What package and at what version are these firmware images part of in OpenSUSE? We can't exactly take firmware that you're passing to us on Launchpad and ship it in Ubuntu - this Intel firmware is subject to copyright, and we need to know what this firmware is before we can even consider distributing it to users.

Philipp Ehses (philipp-ehses) wrote :

Hi Steve,

sorry, I wasn't aware of the licensing issue.

The firmware comes from openSuSE 11.1. I did a quick search and found out that they are included in the following (rpm) packages:

iwl3945-ucode
iwl4965-ucode
iwl5000-ucode

zypper info returns this (shortened)::

Name: iwl3945-ucode
Version: 15.28.1.8-1.7

Name: iwl4965-ucode
Version: 228.57.2.23-1.1.1

Name: iwl5000-ucode
Version: 5.4.A.11-2.9

I had a quick look in the README and LICENSE files which come with the firmware, and it seems that redistribution is allowed as long as the binaries are unchanged and the license files are attached (which I can easily provide, or we can just get the rpm packages which include them as well). Here's an excerpt:

Redistribution. Redistribution and use in binary form, without
modification, are permitted provided that the following conditions are
met:

* Redistributions must reproduce the above copyright notice and the
  following disclaimer in the documentation and/or other materials
  provided with the distribution.
* Neither the name of Intel Corporation nor the names of its suppliers
  may be used to endorse or promote products derived from this software
  without specific prior written permission.
* No reverse engineering, decompilation, or disassembly of this software
  is permitted.

I tried this fix and it didn't fix my wireless problems with the 4965
driver. *sighs*

Brett Ussher

Philipp Ehses wrote:
> Hi Steve,
>
> sorry, I wasn't aware of the licensing issue.
>
> The firmware comes from openSuSE 11.1. I did a quick search and found
> out that they are included in the following (rpm) packages:
>
> iwl3945-ucode
> iwl4965-ucode
> iwl5000-ucode
>
> zypper info returns this (shortened)::
>
> Name: iwl3945-ucode
> Version: 15.28.1.8-1.7
>
> Name: iwl4965-ucode
> Version: 228.57.2.23-1.1.1
>
> Name: iwl5000-ucode
> Version: 5.4.A.11-2.9
>
>
> I had a quick look in the README and LICENSE files which come with the firmware, and it seems that redistribution is allowed as long as the binaries are unchanged and the license files are attached (which I can easily provide, or we can just get the rpm packages which include them as well). Here's an excerpt:
>
> Redistribution. Redistribution and use in binary form, without
> modification, are permitted provided that the following conditions are
> met:
>
> * Redistributions must reproduce the above copyright notice and the
> following disclaimer in the documentation and/or other materials
> provided with the distribution.
> * Neither the name of Intel Corporation nor the names of its suppliers
> may be used to endorse or promote products derived from this software
> without specific prior written permission.
> * No reverse engineering, decompilation, or disassembly of this software
> is permitted.
>
>

--
Brett D. Ussher

Philipp Ehses (philipp-ehses) wrote :

Hi Brett,

sorry, just to be sure: Did you copy *both* files ('iwlwifi-4965-1.ucode' and 'iwlwifi-4965-2.ucode') into /lib/firmware *and* rebooted the system (reloaded iwlagn)?

Is it the same 'Microcode SW error detected' error message from dmesg?

These files didn't help me either, still "SW error..."

Additionally I suffer from kernel panics somewhere in iwlagn driver :(

On Thu, Oct 29, 2009 at 17:26, Philipp Ehses <email address hidden> wrote:
> Hi Brett,
>
> sorry, just to be sure: Did you copy *both* files
> ('iwlwifi-4965-1.ucode' and 'iwlwifi-4965-2.ucode') into /lib/firmware
> *and* rebooted the system (reloaded iwlagn)?
>
> Is it the same 'Microcode SW error detected' error message from dmesg?
>
> --
> iwl4965: Microcode SW error detected.  Restarting 0x2000000
> https://bugs.launchpad.net/bugs/200509
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

It is still the same SW error and, yes, I copied both files. Although,
all I need it the -2. It supersedes the -1. However, there is one
difference, my software error is a 0x8200000 error code, not the
0x2000000 in this bug report. Though, nobody has posted an 0x8200000
error code, so I was just hoping one would fix both problems.

Wiktor Stasiak wrote:
> These files didn't help me either, still "SW error..."
>
> Additionally I suffer from kernel panics somewhere in iwlagn driver :(
>
>
> On Thu, Oct 29, 2009 at 17:26, Philipp Ehses <email address hidden> wrote:
>
>> Hi Brett,
>>
>> sorry, just to be sure: Did you copy *both* files
>> ('iwlwifi-4965-1.ucode' and 'iwlwifi-4965-2.ucode') into /lib/firmware
>> *and* rebooted the system (reloaded iwlagn)?
>>
>> Is it the same 'Microcode SW error detected' error message from dmesg?
>>
>> --
>> iwl4965: Microcode SW error detected. Restarting 0x2000000
>> https://bugs.launchpad.net/bugs/200509
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>>
>
>

--
Brett D. Ussher

dimi3 (dimitar-valov) wrote :

I've had this problem for quite some time and I was hopeless. I was going to buy PCMCIA card so I can enjoy wireless.

The easiest way to get this error was just start a torrent download that oppens many connections, in about 1~2 seconds the error appears.

The good news is that after upgrade to 9.10 it apears no more. I managed to complete a download and the connection is still up and running.

Brett (breusshe) wrote :

I just found another bug report on RedHat's website. It actually had my
exact error code:

https://bugzilla.redhat.com/show_bug.cgi?id=519154

Comment #10 suggests passing the option swcrypto=1 during module load.
So, I did as comment #11 suggested:

echo option swcrypto=1 > /etc/modprobe.d/iwlagn.conf

So far, so good. No errors. I'll let ya'll know if that changes.

Brett

dimi3 wrote:
> I've had this problem for quite some time and I was hopeless. I was
> going to buy PCMCIA card so I can enjoy wireless.
>
> The easiest way to get this error was just start a torrent download that
> oppens many connections, in about 1~2 seconds the error appears.
>
> The good news is that after upgrade to 9.10 it apears no more. I managed
> to complete a download and the connection is still up and running.
>
>

--
Brett D. Ussher

Brett (breusshe) wrote :

well, nevermind. Wireless just died. Sorry for the false alarm.
However, not a complete let down. My connection lasted for about an
hour and a half. Usually I only get seconds before it goes down. Maybe
that swcrypto=1 is a clue to the problem.

Brett

Brett wrote:
> ** Bug watch added: Red Hat Bugzilla #519154
> https://bugzilla.redhat.com/show_bug.cgi?id=519154
>
>

--
Brett D. Ussher

Steve Langasek (vorlon) wrote :

On Thu, Oct 29, 2009 at 08:53:41PM -0000, Brett wrote:
> echo option swcrypto=1 > /etc/modprobe.d/iwlagn.conf

If this is the exact command you typed, then this was a complete no-op. You
must also specify the module name as part of the 'option' command in
/etc/modprobe.d config files.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Brett (breusshe) wrote :

Yeah, I know. I did the following command:

options iwlagn swcrypto=1

I also ran modprobe -v iwlagn when I reloaded the module, the option was
definitely applied.

Brett

Steve Langasek wrote:
> On Thu, Oct 29, 2009 at 08:53:41PM -0000, Brett wrote:
>
>> echo option swcrypto=1 > /etc/modprobe.d/iwlagn.conf
>>
>
> If this is the exact command you typed, then this was a complete no-op. You
> must also specify the module name as part of the 'option' command in
> /etc/modprobe.d config files.
>
>

--
Brett D. Ussher

Philipp Ehses (philipp-ehses) wrote :

Just to clear things up, this was the error message I was getting:

iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000000.

The u-code files from opensuse fixed this bug completely for me - weird that I'm apparently the exception...

Brett (breusshe) wrote :

Yeah, that is the exact same error I was getting, too. Right down to
the 0x8200000 error code. And it sorta fixed it. Just not completely.
Like I said, it took 1.5 hours for the connection to drop when I usually
only get a few seconds.

Brett

Philipp Ehses wrote:
> Just to clear things up, this was the error message I was getting:
>
> iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000000.
>
>
> The u-code files from opensuse fixed this bug completely for me - weird that I'm apparently the exception...
>
>

--
Brett D. Ussher

RapteR (rapter) wrote :

Hi all. Hi Philipp Ehses. Please tell me version of the firmware (iwlwifi-3945-1.ucode and iwlwifi-3945-2.ucode). I download them from http://intellinuxwireless.org/?n=downloads&f=ucodes_3945. While that does not work. I apologize for my english. : (

Mikael Nilsson (mini) wrote :

Fully reprodicible here, on 2.6.32-14, intel 5300 and iwlagn. The connection seldom works longer than 10-15 minutes under heavy load (connected to an "n" router). After the Microcode erroe, the connection is sometimes completely broken, or works at a significantly lower speed (100Kb/s instead of 5Mb/s)

This has happened on and off during my last couple of kernel upgrades. Sometime in the 2.6.31 series it worked, then it started crashing, then some 2.6.32 version worked but now I have problems again....

Tom Gelinas (tomgelinas) wrote :

I'm confirming Mikael Nilsson's report with my Intel 5300 on 2.6.32-19.

Tom Gelinas (tomgelinas) wrote :

sorry, I actually have a 6300. It works for hours under light use (barely over 1 Mb of traffic) but becomes very slow under heavy load. Cycling the rfkill switch allows it to work again, it never performs well under heavy load, though.

Tobias McNulty (tmcnulty1982) wrote :

I have the following controller in a ThinkPad T400s:

03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

When I try to connect to a P2P network I get loads and loads of these in dmesg:

[ 622.045142] Registered led device: iwl-phy0::radio
[ 622.045185] Registered led device: iwl-phy0::assoc
[ 622.045226] Registered led device: iwl-phy0::RX
[ 622.045263] Registered led device: iwl-phy0::TX
[ 622.107866] iwlagn 0000:03:00.0: Microcode SW error detected. Restarting 0x2000000.

It takes forever to connect and sometimes fails completely. When it fails, all other bets are off and I have to reboot before I regain usage of the card. reloading the module might work too but i haven't tried that yet.

Tobias McNulty (tmcnulty1982) wrote :

I forgot to mention, I'm running 9.10 (Karmic) and my kernel is up to date:

Linux red 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 04:38:19 UTC 2010 x86_64 GNU/Linux

dcam (david-pastornet) wrote :

I have the same problem on 10.04 LTS with iwlagn:

root@vostro-local:~# uname -a
Linux vostro-local 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC 2010 i686 GNU/Linux

from dmesg:
iwlagn 0000:06:00.0: Microcode SW error detected. Restarting 0x82000000.

Tim Gardner (timg-tpi) on 2010-08-27
Changed in linux-backports-modules-2.6.24 (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
milestone: ubuntu-8.04 → none
Liviuz (livio-ba) wrote :

The same problem with 10.04LTS and with iwlagn.
It happens each time i try to use wifi.

iwlagn 0000:0b:00.0: Microcode SW error detected. Restarting 0x82000000.

livio@pooh:~$ uname -a
Linux pooh 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:12:52 UTC 2010 i686 GNU/Linux

GreyGeek (greygeek) wrote :
Download full text (3.8 KiB)

I been treated to a frequent but erratic occurrence of this bug:
************************************************************
iwlagn 0000:05:00.0: Microcode SW error detected. Restarting 0x2000000
Registered led device: iwl-phy0::radio
Registered led device: iwl-phy0::assoc
Registered led device: iwl-phy0::RX
Registered led device: iwl-phy0::TX
iwlagn 0000:05:00.0: Stopping AGG while state not ON or starting
iwlagn 0000:05:00.0: queue number out of range: 0, must be 10 to 19
WARNING: at /build/buildd/linux-2.6.32/net/mac80211/agg-tx.c:150 ___ieee80211_stop_tx_ba_session+0x82/0x90 [mac80211]()
Hardware name: VGN-FW140E
Modules linked in: cryptd aes_x86_64 aes_generic ppdev vboxnetadp vboxnetflt vboxdrv snd_hda_codec_intelhdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep fbcon snd_pcm_oss snd_mixer_oss tileblit snd_pcm font snd_seq_dummy snd_seq_oss bitblit snd_seq_midi softcursor snd_rawmidi vga16fb snd_seq_midi_event vgastate arc4 snd_seq snd_timer uvcvideo videodev iwlagn snd_seq_device v4l1_compat i915 iwlcore btusb usbhid drm_kms_helper snd v4l2_compat_ioctl32 bluetooth joydev sdhci_pci hid mac80211 soundcore sdhci drm psmouse cfg80211 snd_page_alloc serio_raw led_class i2c_algo_bit sony_laptop intel_agp wacom lp parport coretemp video output usb_storage ohci1394 ahci sky2 ieee1394 [last unloaded: kvm]
Pid: 9, comm: events/0 Not tainted 2.6.32-24-generic #42-Ubuntu
Call Trace:
[<ffffffff81066dbb>] warn_slowpath_common+0x7b/0xc0
[<ffffffff81066e14>] warn_slowpath_null+0x14/0x20
[<ffffffffa015b922>] ___ieee80211_stop_tx_ba_session+0x82/0x90 [mac80211]
[<ffffffffa015babf>] __ieee80211_stop_tx_ba_session+0x7f/0x90 [mac80211]
[<ffffffffa015b267>] ieee80211_sta_tear_down_BA_sessions+0x27/0x50 [mac80211]
[<ffffffffa01701a8>] ieee80211_reconfig+0x378/0x460 [mac80211]
[<ffffffffa01564c0>] ? ieee80211_restart_work+0x0/0x30 [mac80211]
[<ffffffffa01564e2>] ieee80211_restart_work+0x22/0x30 [mac80211]
[<ffffffff81080867>] run_workqueue+0xc7/0x1a0
[<ffffffff810809e3>] worker_thread+0xa3/0x110
[<ffffffff81085430>] ? autoremove_wake_function+0x0/0x40
[<ffffffff81080940>] ? worker_thread+0x0/0x110
[<ffffffff810850b6>] kthread+0x96/0xa0
[<ffffffff810141ea>] child_rip+0xa/0x20
[<ffffffff81085020>] ? kthread+0x0/0xa0
[<ffffffff810141e0>] ? child_rip+0x0/0x20
 ---[ end trace a69e8e33c007fa40 ]---
wlan0: deauthenticated from d8:5d:4c:b9:f4:ba (Reason: 2)
wlan0: direct probe to AP d8:5d:4c:b9:f4:ba (try 1)
wlan0: direct probe responded
wlan0: authenticate with AP d8:5d:4c:b9:f4:ba (try 1)
wlan0: authenticated
wlan0: associate with AP d8:5d:4c:b9:f4:ba (try 1)
wlan0: RX AssocResp from d8:5d:4c:b9:f4:ba (capab=0x431 status=0 aid=1)
wlan0: associated
CE: hpet increasing min_delta_ns to 15000 nsec
******************************************************

I am running the 64bit Kubuntu 10.4 with KDE 4.5 and with this kernel:
2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:21:58 UTC 2010 x86_64 GNU/Linux
on my Sony VAIO VGN-FW140E, which has the
"Intel Corporation Wireless WiFi Link 5100" wireless controller.

It characterizes its appearance by
1) blinking my cable modem lights as if it was going through a power cycle, and
2) overwriting my ISP's DNS an...

Read more...

Troy Volin (tmvolin) wrote :
Download full text (3.8 KiB)

** short version of this comment: ** cipher CCMP seems to get better results.
Try WPA2 Personal with TKIP+AES on your linksys **

Hi. I'm crossposting this info to a handful of bugs (since I'm so ecstatic).
I experienced a very similar problem (very frequent disconnects, ThinkPad W500 with iwlagn (device is "Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection [8086:4237]").
I was getting the "Microcode SW error detected. Restarting 0x2000000." messages with the IWL Error Log Dump. I didn't need to unload module to reconnect, just need to select my AP in NetworkManager again (even though NM thinks it's still connected).

Everything was fine on RHEL5, everything was fine when I reloaded to F13.
Upgraded to F14, and the problem started.

Here's what I did which made the problem go away (for me) without resorting to swcrypto=1. Note, I already had both disable_hw_scan=1 and lln_disable=1 set in modprobe.d/wireless.conf.

Since the problem is reported sporadically but deterministically (ie, same users, and for those users, always at the same APs), and responds to swcrypto=1, I decided to change ciphers.

My Linksys WRT54GS (v7 hardware, v7.5.2 firmware) was set to do WPA PSK with TKIP. So sudo iwlist wlan0 scan showed:
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK

I changed it to WPA2 PSK with TKIP+AES. The problem went away immediately. Now sudo iwlist wlan0 scan shows:
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK

So I suspect the hardware crypto bug is in TKIP. Here's the tail end of my wpa_supplicant.log (which hasn't changed in around 2 hours, but was repeating the DISCONNECTED event loop quite often before (paranoid redaction with XX):
Trying to associate with XX:1c:10:b0:b5:1f (SSID='XXlinNet2' freq=2447 MHz)
Associated with XX:1c:10:b0:b5:1f
WPA: Key negotiation completed with XX:1c:10:b0:b5:1f [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to XX:1c:10:b0:b5:1f completed (reauth) [id=0 id_str=]
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Failed to initiate AP scan.
Trying to associate with XX:1c:10:b0:b5:1f (SSID='XXlinNet2' freq=2447 MHz)
Associated with XX:1c:10:b0:b5:1f
WPA: Key negotiation completed with XX:1c:10:b0:b5:1f [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to XX:1c:10:b0:b5:1f completed (reauth) [id=0 id_str=]
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Trying to associate with XX:1c:10:b0:b5:1f (SSID='XXlinNet2' freq=2447 MHz)
Associated with XX:1c:10:b0:b5:1f
WPA: Key negotiation completed with XX:1c:10:b0:b5:1f [PTK=CCMP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to XX:1c:10:b0:b5:1f completed (reauth) [id=0 id_str=]
Failed to initiate AP scan.

I was having no problem ...

Read more...

Changed in linux:
importance: Unknown → Medium
status: In Progress → Fix Released
GoFast (tpetz) on 2011-02-16
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
GoFast (tpetz) wrote :

I'm very sorry. It was a mistake!! Can anybody change it back to confirmed!!!

thank you!!

Vadim Peretokin (vperetokin) wrote :
Download full text (4.8 KiB)

Still an issue in 11.04. Using firmware 228.61.2.24, Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61).

                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK

I don't have the power_level option available, and iwconfig wlan0 power on doesn't work (not allowed).

May 8 17:06:31 vadi-11 kernel: [481590.831569] iwlagn 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000000.
May 8 17:06:31 vadi-11 kernel: [481590.831581] iwlagn 0000:0c:00.0: Loaded firmware version: 228.61.2.24
May 8 17:06:31 vadi-11 kernel: [481590.831604] iwlagn 0000:0c:00.0: Start IWL Error Log Dump:
May 8 17:06:31 vadi-11 kernel: [481590.831611] iwlagn 0000:0c:00.0: Status: 0x000213E4, count: 5
May 8 17:06:31 vadi-11 kernel: [481590.831784] iwlagn 0000:0c:00.0: Desc Time data1 data2 line
May 8 17:06:31 vadi-11 kernel: [481590.831795] iwlagn 0000:0c:00.0: FH_ERROR (0x000C) 0149872048 0x00000008 0x03530000 208
May 8 17:06:31 vadi-11 kernel: [481590.831801] iwlagn 0000:0c:00.0: pc blink1 blink2 ilink1 ilink2 hcmd
May 8 17:06:31 vadi-11 kernel: [481590.831810] iwlagn 0000:0c:00.0: 0x0046C 0x0A332 0x004C2 0x006DE 0x0A37C 0x29A001C
May 8 17:06:31 vadi-11 kernel: [481590.831817] iwlagn 0000:0c:00.0: FH register values:
May 8 17:06:31 vadi-11 kernel: [481590.831838] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X13690a00
May 8 17:06:31 vadi-11 kernel: [481590.831860] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X01369080
May 8 17:06:31 vadi-11 kernel: [481590.831881] iwlagn 0000:0c:00.0: FH_RSCSR_CHNL0_WPTR: 0X000000f8
May 8 17:06:31 vadi-11 kernel: [481590.831903] iwlagn 0000:0c:00.0: FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X00819004
May 8 17:06:32 vadi-11 kernel: [481590.831924] iwlagn 0000:0c:00.0: FH_MEM_RSSR_SHARED_CTRL_REG: 0X0000003c
May 8 17:06:32 vadi-11 kernel: [481590.831945] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_STATUS_REG: 0X03530000
May 8 17:06:32 vadi-11 kernel: [481590.831967] iwlagn 0000:0c:00.0: FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
May 8 17:06:32 vadi-11 kernel: [481590.831988] iwlagn 0000:0c:00.0: FH_TSSR_TX_STATUS_REG: 0X07ff0002
May 8 17:06:32 vadi-11 kernel: [481590.832009] iwlagn 0000:0c:00.0: FH_TSSR_TX_ERROR_REG: 0X00000000
May 8 17:06:32 vadi-11 kernel: [481590.832078] iwlagn 0000:0c:00.0: Start IWL Event Log Dump: display last 20 entries
May 8 17:06:32 vadi-11 kernel: [481590.832105] iwlagn 0000:0c:00.0: EVT_LOGT:0149871357:0x00000000:0302
May 8 17:06:32 vadi-11 kernel: [481590.832124] iwlagn 0000:0c:00.0: EVT_LOGT:0149871389:0x000000d4:0321
May 8 17:06:32 vadi-11 kernel: [481590.832142] iwlagn 0000:0c:00.0: EVT_LOGT:0149871390:0x00000000:1350
May 8 17:06:32 vadi-11 kernel: [481590.832159] iwlagn 0000:0c:00.0: EVT_LOGT:0149871391:0x00000000:1351
May 8 17:06:32 vadi-11 kernel: [481590.832177] iwlagn 0000:0c:00.0: EVT_LOGT:0149871391:0x00000000:1352
May 8 17:06:32 vadi-11 ker...

Read more...

@~vperetokin
your problem seems to be the same as reported in bug 779159

This bug is about a different error message.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: New → Confirmed
relgames (relgames) wrote :
Download full text (8.4 KiB)

Hi, the bug is still not fixed in 12.04

Dec 3 16:49:52 rgwork kernel: [25273.396527] iwlwifi 0000:0c:00.0: Microcode SW error detected. Restarting 0x2000000.
Dec 3 16:49:52 rgwork kernel: [25273.396540] iwlwifi 0000:0c:00.0: Loaded firmware version: 8.83.5.1 build 33692
Dec 3 16:49:52 rgwork kernel: [25273.396630] iwlwifi 0000:0c:00.0: Start IWL Error Log Dump:
Dec 3 16:49:52 rgwork kernel: [25273.396638] iwlwifi 0000:0c:00.0: Status: 0x000412E4, count: 5
Dec 3 16:49:52 rgwork kernel: [25273.396646] iwlwifi 0000:0c:00.0: 0x00000016 | NMI_INTERRUPT_TRM
Dec 3 16:49:52 rgwork kernel: [25273.396653] iwlwifi 0000:0c:00.0: 0x000006E4 | uPc
Dec 3 16:49:52 rgwork kernel: [25273.396660] iwlwifi 0000:0c:00.0: 0x000005AA | branchlink1
Dec 3 16:49:52 rgwork kernel: [25273.396666] iwlwifi 0000:0c:00.0: 0x00000776 | branchlink2
Dec 3 16:49:52 rgwork kernel: [25273.396673] iwlwifi 0000:0c:00.0: 0x00000916 | interruptlink1
Dec 3 16:49:52 rgwork kernel: [25273.396679] iwlwifi 0000:0c:00.0: 0x0000D616 | interruptlink2
Dec 3 16:49:52 rgwork kernel: [25273.396686] iwlwifi 0000:0c:00.0: 0x00000040 | data1
Dec 3 16:49:52 rgwork kernel: [25273.396692] iwlwifi 0000:0c:00.0: 0x07030000 | data2
Dec 3 16:49:52 rgwork kernel: [25273.396698] iwlwifi 0000:0c:00.0: 0x00000E84 | line
Dec 3 16:49:52 rgwork kernel: [25273.396704] iwlwifi 0000:0c:00.0: 0x25001E25 | beacon time
Dec 3 16:49:52 rgwork kernel: [25273.396711] iwlwifi 0000:0c:00.0: 0xC24311DB | tsf low
Dec 3 16:49:52 rgwork kernel: [25273.396717] iwlwifi 0000:0c:00.0: 0x00000065 | tsf hi
Dec 3 16:49:52 rgwork kernel: [25273.396723] iwlwifi 0000:0c:00.0: 0x00000000 | time gp1
Dec 3 16:49:52 rgwork kernel: [25273.396730] iwlwifi 0000:0c:00.0: 0x8B935A64 | time gp2
Dec 3 16:49:52 rgwork kernel: [25273.396736] iwlwifi 0000:0c:00.0: 0x00000000 | time gp3
Dec 3 16:49:52 rgwork kernel: [25273.396742] iwlwifi 0000:0c:00.0: 0x00010853 | uCode version
Dec 3 16:49:52 rgwork kernel: [25273.396749] iwlwifi 0000:0c:00.0: 0x00000024 | hw version
Dec 3 16:49:52 rgwork kernel: [25273.396755] iwlwifi 0000:0c:00.0: 0x00480302 | board version
Dec 3 16:49:52 rgwork kernel: [25273.396762] iwlwifi 0000:0c:00.0: 0x64708E60 | hcmd
Dec 3 16:49:52 rgwork kernel: [25273.396767] iwlwifi 0000:0c:00.0: CSR values:
Dec 3 16:49:52 rgwork kernel: [25273.396773] iwlwifi 0000:0c:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
Dec 3 16:49:52 rgwork kernel: [25273.396806] iwlwifi 0000:0c:00.0: CSR_HW_IF_CONFIG_REG: 0X00480302
Dec 3 16:49:52 rgwork kernel: [25273.396838] iwlwifi 0000:0c:00.0: CSR_INT_COALESCING: 0X0000ff40
Dec 3 16:49:52 rgwork kernel: [25273.396870] iwlwifi 0000:0c:00.0: CSR_INT: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396901] iwlwifi 0000:0c:00.0: CSR_INT_MASK: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396932] iwlwifi 0000:0c:00.0: CSR_FH_INT_STATUS: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396964] iwlwifi 0000:0c:00.0: CSR_GPIO_IN: 0X00000000
Dec 3 16:49:52 rgwork kernel: [25273.396995] iwlwifi 0000:0c:00.0: CSR_RESET: 0X00000000
Dec 3 16:49:52 rgwork kernel: [...

Read more...

Jonathan Davies (jpds) wrote :

Opened bug #1099487 about similiar iwlwifi failures.

Denis (denis-dellsale) wrote :

the bug is still not fixed in 12.10.

Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290713] iwl3945 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000008.
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290722] iwl3945 0000:0c:00.0: Loaded firmware version: 15.32.2.9
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290757] iwl3945 0000:0c:00.0: Start IWL Error Log Dump:
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290762] iwl3945 0000:0c:00.0: Status: 0x000202E4, count: 1
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290766] iwl3945 0000:0c:00.0: Desc Time asrtPC blink2 ilink1 nmiPC Line
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.290995] iwl3945 0000:0c:00.0: SYSASSERT (0x5) 0000202273 0x008B6 0x00274 0x00320 0x04EBC 116
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.291008] iwl3945 0000:0c:00.0: Error Reply type 0x00000005 cmd C_TX (0x1C) seq 0x02ED ser 0x00740000
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.788103] iwl3945 0000:0c:00.0: Error sending C_RXON: time out after 500ms.
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.788110] iwl3945 0000:0c:00.0: Error setting new configuration (-110).
Feb 17 11:29:38 xpsm1730 kernel: [ 3351.792135] iwl3945 0000:0c:00.0: Can't stop Rx DMA.
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764162] iwl3945 0000:0c:00.0: Microcode SW error detected. Restarting 0x82000008.
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764171] iwl3945 0000:0c:00.0: Loaded firmware version: 15.32.2.9
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764206] iwl3945 0000:0c:00.0: Start IWL Error Log Dump:
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764211] iwl3945 0000:0c:00.0: Status: 0x000202E4, count: 1
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764215] iwl3945 0000:0c:00.0: Desc Time asrtPC blink2 ilink1 nmiPC Line
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764444] iwl3945 0000:0c:00.0: SYSASSERT (0x5) 0000203726 0x008B6 0x00274 0x00320 0x04EBC 116
Feb 17 11:34:37 xpsm1730 kernel: [ 3650.764458] iwl3945 0000:0c:00.0: Error Reply type 0x00000005 cmd C_TX (0x1C) seq 0x02F2 ser 0x00740000
Feb 17 11:34:38 xpsm1730 kernel: [ 3651.264058] iwl3945 0000:0c:00.0: Error sending C_RXON: time out after 500ms.
Feb 17 11:34:38 xpsm1730 kernel: [ 3651.264066] iwl3945 0000:0c:00.0: Error setting new configuration (-110).
Feb 17 11:34:38 xpsm1730 kernel: [ 3651.268094] iwl3945 0000:0c:00.0: Can't stop Rx DMA.

Phillip Susi (psusi) wrote :

8.04 has reached end of life and this package removed. If you still have this issue on a currently supported release, please reopen it and reassign it to the linux package

Changed in linux-backports-modules-2.6.24 (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.